package dev;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

class MainTest {

    @Test
    void argsAccept0() {
        assertTrue(Main.argsValidator.test(0));
    }

    @Test
    void argsDenyTooMany() {
        assertFalse(Main.argsValidator.test(Main.REQUIRED_ARGS + 1));
    }

    @Test
    void argsDenyTooFew() {
        assertFalse(Main.argsValidator.test(Main.REQUIRED_ARGS - 1));
    }

    @Test
    void argsAcceptValidNumber() {
        assertTrue(Main.argsValidator.test(Main.REQUIRED_ARGS));
    }

}